package adminkindboxreqparam

import (
	"time"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type KindBoxReqAcceptRequest struct {
	ID            uint `json:"id"`
	CountAccepted uint `json:"count_accepted"`
}

type KindBoxReqAcceptResponse struct {
	KindBoxReqID     uint                    `json:"kind_box_req_id"`
	KindBoxReqStatus entity.KindBoxReqStatus `json:"kind_box_req_status"`
	CountRequested   uint                    `json:"count_requested"`
	CountAccepted    uint                    `json:"count_accepted"`
	ReferDate        time.Time               `json:"refer_date"`
	AddressID        uint                    `json:"address_id"`
}
