-- +migrate Up
CREATE TABLE `kind_box_reqs`
(
    `id`              INT PRIMARY KEY AUTO_INCREMENT,
    `benefactor_id`   INT      NOT NULL,
    `kind_box_type`   ENUM('on-table','cylindrical','stand-up') NOT NULL,
    `address_id`      INT      NOT NULL,
    `count_requested` INT UNSIGNED NOT NULL,
    `count_accepted`  INT,
    `description`     TEXT,
    `refer_date`      DATETIME NOT NULL,
    `status`          varchar(191),
    `created_at`      TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    FOREIGN KEY (`address_id`) REFERENCES `addresses` (`id`),
    FOREIGN KEY (`benefactor_id`) REFERENCES `benefactors` (`id`)
);

-- +migrate Down
DROP TABLE `kind_box_reqs`;